Bug 226110 - Merge Review: lucene
Merge Review: lucene
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:35 EST by Nobody's working on this, feel free to take it
Modified: 2010-10-13 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 03:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:35:59 EST
Fedora Merge Review: lucene

http://cvs.fedora.redhat.com/viewcvs/devel/lucene/
Initial Owner: dbhole@redhat.com
Comment 1 Stanislav Ochotnicky 2010-10-11 11:52:55 EDT
I'll be doing the merge review

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
lucene.noarch: W: obsolete-not-provided lucene-devel
Explained in spec

lucene.noarch: W: file-not-utf8 /usr/share/doc/lucene-2.4.1/CHANGES.txt
lucene.src:40: W: mixed-use-of-spaces-and-tabs (spaces: line 31, tab:line 40)

convert respecitve files to UTF-8 and spaces

lucene-contrib.noarch: W: no-documentation
lucene-contrib.noarch: W: class-path-in-manifest /usr/share/java/lucene-contrib/lucene-lucli-2.4.1.jar
needs to be fixed

lucene-demo.noarch: W: no-documentation

lucene-javadoc.noarch: W: dangerous-command-in-%post rm
lucene-javadoc.noarch: W: dangerous-command-in-%postun rm

javadoc subpackage symlinks should be created during install

5 packages and 0 specfiles checked; 0 errors, 8 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[!]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[!]  All independent sub-packages have license of their own
subpackages should have LICENSE.txt of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : ad46595439240e10387fcbf7647705db
MD5SUM upstream package: ad46595439240e10387fcbf7647705db
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[!]  Package requires other packages for directories it uses.
Package is missing Requires on Java/jpackage-utils

[x]  Package does not contain duplicates in %files.
[!]  Permissions on files are set properly.
use defattr(-,root,root,-) in files section
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[!]  Packages have proper BuildRequires/Requires on jpackage-utils
[!]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Javadocs are placed in %{_javadocdir}/%{name} with %{_javadocdir}/%{name}-%{version} symlink
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.
Latest version is 3.0.2 (2.9.3 in 2.x line)
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-x86_64


=== Issues ===
1. rpmlint issues
2. buildroot
3. license in independent sub-packages
4. proper Requires
5. if possible package latest version (if compatibility permits)

=== Other ===
1. it might be good idea to try if tests work now (if not add comment
with date when it was last tried)
Comment 2 Alexander Kurtakov 2010-10-13 02:25:18 EDT
> lucene.noarch: W: file-not-utf8 /usr/share/doc/lucene-2.4.1/CHANGES.txt
Fixed.
> lucene.src:40: W: mixed-use-of-spaces-and-tabs (spaces: line 31, tab:line 40)
Fixed.

> lucene-contrib.noarch: W: no-documentation
Fixed.
> lucene-contrib.noarch: W: class-path-in-manifest
> /usr/share/java/lucene-contrib/lucene-lucli-2.4.1.jar
> needs to be fixed
Fixed.
> 
> lucene-demo.noarch: W: no-documentation
Nothing to do.
> 
> lucene-javadoc.noarch: W: dangerous-command-in-%post rm
> lucene-javadoc.noarch: W: dangerous-command-in-%postun rm
Fixed
> 
> [!]  Buildroot is correct
> (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
Removed. We don't need it in F-15

> [!]  All independent sub-packages have license of their own
> subpackages should have LICENSE.txt of their own
Fixed.


> [!]  Package requires other packages for directories it uses.
> Package is missing Requires on Java/jpackage-utils
Fixed
> 
> [!]  Permissions on files are set properly.
> use defattr(-,root,root,-) in files section
Fixed.

> [!]  Packages have proper BuildRequires/Requires on jpackage-utils
Fixed.
> [!]  Javadoc subpackages have Require: jpackage-utils
Fixed.

> [!]  Latest version is packaged.
> Latest version is 3.0.2 (2.9.3 in 2.x line)
We can't build it now until we migrate eclipse.

Koji build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=200237
Comment 3 Alexander Kurtakov 2010-10-13 02:25:43 EDT
And tests are still failing.
Comment 4 Stanislav Ochotnicky 2010-10-13 03:26:58 EDT
You forgot to copy CHANGES.new back to old filename. Otherwise the package is OK so:

APPROVED (next time you do something fix that encoding though)

Note You need to log in before you can comment on or make changes to this bug.